QMAKE_CC = riscv64-unknown-linux-gnu-gcc
QMAKE_CXX = riscv64-unknown-linux-gnu-g++
QMAKE_LINK = riscv64-unknown-linux-gnu-gcc
QMAKE_AR = riscv64-unknown-linux-gnu-ar
QMAKE_STRIP = riscv64-unknown-linux-gnu-strip
QMAKE_LFLAGS += -lstdc++

QT       += core gui
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = qt-nes
TEMPLATE = app

SOURCES += main.cpp \
            NesEmulateWindow.cpp \
            NesScreenWidget.cpp \
            NesThread.cpp \
            K6502.cpp \
            InfoNES.cpp \
            InfoNES_Mapper.cpp \
            InfoNES_pAPU.cpp \
            NesSoundDevice.cpp

HEADERS  += NesEmulateWindow.h \
            NesScreenWidget.h \
            NesThread.h \
            NesSoundDevice.h

FORMS    += NesEmulateWindow.ui

QMAKE_CXXFLAGS += -O2 -fsigned-char

